CALENDAR(1)

NAME
calendar - reminder service

SYNOPSIS
calendar [-a] [-A num] [-B num] [-f calendarfile]

DESCRIPTION
Calendar checks the current directory for a file named calendar and displays lines that begin with either today's date or tomorrow's. On Fridays, events on Friday through Monday are displayed.

The following options are available:

-a  Process the ``calendar'' files of all users and mail the results to them. This requires super-user privileges.

-A num
    print lines from today and next num days (forward, future)

-B num
    print lines from today and previous num days (backward, past)

-f calendarfile
    use calendarfile as default calendar file.

Lines should begin with a month and day. They may be entered in almost any format, either numeric or as character strings. A single asterisk (``*'') matches every month. A day without a month matches that day of every week. A month without a day matches the first of that month. Two numbers default to the month followed by the day. Lines with leading tabs default to the last entered date, allowing multiple line specifications for a single date. ``Easter'', may be followed by an positive or negative integer, is Easter for this year. Weekdays may be followed by ``-4'' ... ``+5'' (aliases last, first, second, third, fourth) for moving events like ``the last Monday in April'' By convention, dates followed by an asterisk are not fixed, i.e., change from year to year.

The ``calendar'' file is preprocessed by cpp(1), allowing the inclusion of shared files such as company holidays or meetings. If the shared file is not referenced by a full pathname, cpp(1) searches in the current (or home) directory first, and then in the directory /usr/share/calendar. Empty lines and lines protected by the C commenting syntax (/* ... */) are ignored.

Some possible calendar entries:

    #include        <calendar.usholiday>
    #include        <calendar.birthday>
    6/15            ... June 15 (if ambiguous, will default to month/day).
    Jun. 15         ... June 15.
    15 June         ... June 15.
    Thursday        ... Every Thursday.
    June            ... Every June 1st.
    15 *            ... 15th of every month.
    May Sun+2       ... second Sunday in May (Muttertag)
    04/SunLast      ... last Sunday in April, summer time in Europe
    Easter          ... Easter
    Easter-2        ... Good Friday (2 days before Easter)

FILES

calendar
    file in current directory
~/.calendar
    calendar HOME directory. calendar does a chdir into this directory if it exists.
~/.calendar/calendar
    calendar file to use if no calendar file exists in the current directory.
~/.calendar/nomail
    do not send mail if this file exists.
The following default calendar files are provided:

calendar.birthday
    Births and deaths of famous (and not-so-famous) people.
calendar.christian
    Christian holidays. This calendar should be updated yearly by the local system administrator so that roving holidays are set correctly for the current year.
calendar.computer
    Days of special significance to computer people.
calendar.history
    Everything else, mostly U. S. historical events.
calendar.holiday
    Other holidays, including the not-well-known, obscure, and really obscure.
calendar.judaic
    Jewish holidays. This calendar should be updated yearly by the local system administrator so that roving holidays are set correctly for the current year.
calendar.music
    Musical events, births, and deaths. Strongly oriented toward rock 'n' roll.
calendar.usholiday
    U.S. holidays. This calendar should be updated yearly by the local system administrator so that roving holidays are set correctly for the current year.
calendar.german
    German calendar.

SEE ALSO
at(1), cpp(1), cron(8) mail(1),

COMPATIBILITY
The calendar program previously selected lines which had the correct date anywhere in the line. This is no longer true, the date is only recognized when it occurs at the beginning of a line.

HISTORY
A calendar command appeared in Version 7 AT&T UNIX.

BUGS
Calendar doesn't handle Jewish holidays and moon phases.